Foreman - Feature #11972

Implement regex for option ignore_puppet_facts_for_provisioning
09/26/2015 10:21 AM - Anonymous

Status: Closed
Priority: Low
Assignee: Marek Hulan
Category: Facts
Target version: 1.10.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.9.2
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2785
Description
Hey guys,

I'm currently encountering an issue, that /etc/node.rb MYNODE returns 1 because

foreman can not handle all the interfaces.

I'm running a KVM host and have around 100 tap interfaces. | don't even want them

to show up in the foreman interface.

It would be nice, to not ignore every device using the provisioning option "ignore_puppet_facts_for_provisioning=true".
Instead using a regex for that would be nice. That way, | can exclude specific interfaces.

For example an option like "ignore_puppet_facts_for_provisioning_iface="tap[\d]+$" would be nice. That way
these interface would be excluded if matched the regex.

Related issues:

Related to Foreman - Bug #12013: Cannot provision host because MAC address is... Closed 09/30/2015
Related to Discovery - Bug #12391: Discovery breaks ignore_puppet_facts_for_p... Closed 11/04/2015
Related to Foreman - Bug #11434: Foreman 1.7.x -> 1.8.2 (Puppet collects/adds... Closed 08/19/2015

Associated revisions

Revision 379de99a - 10/19/2015 08:53 AM - Marek Hulan

Fixes #11972 - ignore specific interfaces via settings

Revision e4cabf0f - 11/16/2015 09:30 AM - Marek Hulan

Fixes #11972 - ignore specific interfaces via settings

(cherry picked from commit 379de99adbde93349824d4516b95079bfd970e90)

History

#1 - 10/02/2015 07:04 AM - Lukas Zapletal
- Related to Bug #12013: Cannot provision host because MAC address is supposedly taken added

#2 - 10/02/2015 07:04 AM - Lukas Zapletal

| believe this was solved with #12013

#3 - 10/02/2015 07:11 AM - Marek Hulan
- Difficulty deleted (easy)

| don't think that this was solved by #12013, this is valid RFE that would allow us to customize which interfaces should be ignored. As a part of this
feature, regexp settings type would have to be added first. Also the user experience wouldn't be probably great, writing regexps is not straightforward.

Also note that #12013 ignores “macvtap, not *ap interfaces, so I'm afraid it does not even solve the issue descried in this Feature request.
#4 - 10/02/2015 08:32 AM - Anonymous

Well, for me it would work if we just ignore *tap devices. But probably someone will then have the issue, that he these interfaces to show up in
foreman.
Best solution would be to use regexp settings type as you said.

#5 - 10/02/2015 09:14 AM - Marek Hulan

Well we support arrays in settings today, so it might be much easier to just accept an array of prefixes that should be ignored. | know it's not as
powerful as regexps but should work in most cases | think.

#6 - 10/02/2015 09:23 AM - Anonymous
Appreciate it ;)

#7 - 10/06/2015 10:25 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2785 added
- Pull request deleted ()

#8 - 10/06/2015 10:29 AM - Marek Hulan

- Assignee set to Marek Hulan

#9 - 10/19/2015 09:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 379de99adbde93349824d4516b95079bfd970e90.

#10 - 10/20/2015 07:35 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#11 - 11/13/2015 04:39 PM - Brandon Weeks

I would like to propose backporting this to the 1.10 branch if nobody sees a problem with it. While this a minor feature improvement independently, it's
a major bugfix if you take #12391 into account. Since #12391 looks like it might be a little harder to solve, backporting this to 1.10 would provide a
very solid workaround for the OpenStack (and other virtualization) users that depend on ignore_puppet_facts_for_provisioning to not overload
Foreman with garbage nic entires. I've backported the fix to 1.10RC2 locally and it's been flawless in my testing.

#12 - 11/13/2015 04:44 PM - Brandon Weeks
- Related to Bug #12391: Discovery breaks ignore_puppet_facts_for_provisioning global setting added

#13 - 11/16/2015 02:59 AM - Dominic Cleal

- translation missing: en.field_release changed from 71 to 63

Yes, | think that's reasonable. We have an RC available so we can put it in there.

#14 - 04/14/2016 07:58 AM - Marek Hulan
- Related to Bug #11434: Foreman 1.7.x -> 1.8.2 (Puppet collects/adds Lots of bogus interface entries) added
